%define majver %(echo %version | cut -d. -f1-2)
Name:          kwallet
Version:       5.14.0
Release:       1mamba
Summary:       Safe desktop-wide storage for passwords
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/kwallet-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kconfig-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libknotifications-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This framework contains two main components:
* Interface to KWallet, the safe desktop-wide storage for passwords on KDE work spaces.
* The kwalletd used to safely store the passwords on KDE work spaces.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Safe desktop-wide storage for passwords
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang kwalletd5
%find_lang kwallet-query

cat kwallet-query.lang >> kwalletd5.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f kwalletd5.lang
%defattr(-,root,root)
%{_bindir}/kwalletd5
%{_bindir}/kwallet-query
%{_datadir}/dbus-1/interfaces/kf5_org.kde.KWallet.xml
%{_datadir}/dbus-1/services/org.kde.kwalletd.service
%{_datadir}/dbus-1/services/org.kde.kwalletd5.service
%{_datadir}/knotifications5/kwalletd.notifyrc
%{_datadir}/kservices5/kwalletd5.desktop
%{_mandir}/man1/kwallet-query.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libKF5Wallet.so.*
%{_libdir}/libkwalletbackend5.so.*
%doc COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/KF5/KWallet
%{_includedir}/KF5/KWallet/*
%{_includedir}/KF5/kwallet_version.h
%dir %{_libdir}/cmake/KF5Wallet
%{_libdir}/cmake/KF5Wallet/KF5Wallet*.cmake
%{_libdir}/libKF5Wallet.so
%{_libdir}/libkwalletbackend5.so
/usr/mkspecs/modules/qt_KWallet.pri
%doc README.md

%changelog
* Sun Oct 04 2015 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Sun Sep 13 2015 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Sun Aug 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.12.0-1mamba
- update to 5.12.0

* Fri Jun 26 2015 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Fri May 15 2015 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Sat Apr 18 2015 Automatic Build System <autodist@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Wed Mar 25 2015 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Fri Mar 06 2015 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Sat Feb 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
